parameters:
    visualm.tag_manager.util.taggable_manager_registry.class: 'VisualM\TagManagerBundle\Util\TaggableManagerRegistry'
    visualm.tag_manager.util.extended_data_dictionary.class: 'VisualM\TagManagerBundle\Util\ExtendedDataDictionary'
    visualm.tag_manager.util.extended_expression_language.class: 'VisualM\TagManagerBundle\Util\ExtendedExpressionLanguage'

services:
    visualm.tag_manager.util.taggable_manager_registry:
        class: '%visualm.tag_manager.util.taggable_manager_registry.class%'

    visualm.tag_manager.util.extended_data_dictionary:
        class: '%visualm.tag_manager.util.extended_data_dictionary.class%'
        arguments:
            - '@visualm.data.dictionary_collector'
            - '@visualm.data.data_collector'

    visualm.tag_manager.util.extended_expression_language:
        class: '%visualm.tag_manager.util.extended_expression_language.class%'
